package de.cscherr.mcpht;

import net.fabricmc.fabric.api.client.event.lifecycle.v1.ClientTickEvents;
import net.fabricmc.fabric.api.client.keybinding.v1.KeyBindingHelper;
import net.minecraft.block.Block;
import net.minecraft.block.BlockState;
import net.minecraft.block.Blocks;
import net.minecraft.client.option.KeyBinding;
import net.minecraft.client.util.InputUtil;
import org.lwjgl.glfw.GLFW;

import java.util.ArrayList;
import java.util.List;

public class Fly {

    public boolean enable = true;
    private static KeyBinding toggleKey;

    public void init() {
        toggleKey = KeyBindingHelper.registerKeyBinding(new KeyBinding(
                "key.mcpht.toggleXray",     // Translation of name
                InputUtil.Type.KEYSYM,      // Type: MOUSE or KESYM (Keyboard)
                GLFW.GLFW_KEY_Y,            // The keycode of the key (default?)
                "category.mcpht.rendering"  // Translation key for the keybinding category
        ));
        ClientTickEvents.END_CLIENT_TICK.register(client -> {
            // NOTE: IDK why we need a while here
            while (toggleKey.wasPressed()) {
                if (MCPHTClient.XRAY.getEnable()) {
                    MCPHTClient.LOGGER.info(String.format("toggle XRay: %s", MCPHTClient.XRAY.enable));
                    MCPHTClient.XRAY.enable = !MCPHTClient.XRAY.enable;
                    MCPHTClient.MC.worldRenderer.reload();
                }
            }
        });
    }

    public boolean getEnable() {
        return enable && MCPHTClient.CONFIG.fly.enable;
    }
}
